# ReaKit [![npm][npm-badge]][npm]

This repo implements common components and utilitaries for React. Checkout the full documentation at http://reakit.nosebit.com.

## Usage

Install ReaKit via npm running:

```bash
npm install --save reakit
```

Then you can require each individual modules by:

```js
import Form from "reakit/lib/form";

// For old school guys, you can do:
// let Form = require("reakit/lib/form");
```

This individual module import is better to keep your code at bare minimum, but if you want to use all ReaKit then you can just:

```js
import {Form,Field,Container} from "reakit";

// For old school guys, you have to do:
// let {Form,Field,Container} = require("reakit");

// And for ES5 prehistoric guys:
// var Reakit = require("reakit");
// var Form = Reakit.Form;
```

**NOTE**: If you use individual module imports, then somewher in your code you must import the `styles` module via `import "reakit/lib/styles"`. Without this module, the general ReaKit styles will not be applied to html.

## Contributing

Help us to made ReaKit a great framework! See the the [contributing guidelines][contributing] for more information.

[contributing]: CONTRIBUTING.md
[documentation]: http://reakit.nosebit.com
[npm-badge]: https://badge.fury.io/js/reakit.svg
[npm]: http://badge.fury.io/js/reakit
