import {createActions} from "redux-actions";
import {LoggerFactory,Http} from "reakit/src/utils";

let Logger = new LoggerFactory("i18n.actions", {level:"error"});
let http = new Http();

export default createActions({
    i18NInit(lang = "pt-br", {fallbackLang="pt-br"}={}) {
        var logger = Logger.create("init");
        logger.info("enter", {lang, fallbackLang});

        return http.request("GET", `/assets/i18n/${lang}.json`)
        .catch(() => {
            // Something went wrong : fetch fallback lang file.
            return http.request("GET", `/assets/i18n/${fallbackLang}.json`);
        });
    }
});
